Page 1 of 2 12 LastLast
Results 1 to 10 of 12
  1. #1
    Join Date
    Dec 2012
    Posts
    5
    Plugin Contributions
    0

    Default Upgrade path from 1.3.8 to 1.3.8a?

    Hi there,

    I am hoping someone can provide me with guidelines for upgrading from 1.3.8 to 1.3.8a.

    Can I simply upload the new version of the code without making any database changes or is there a DB update required? Any guides would be helpful.

    Many thanks,

    Tas

  2. #2
    Join Date
    Jan 2007
    Location
    Australia
    Posts
    6,167
    Plugin Contributions
    7

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    Quote Originally Posted by tandlit View Post
    Hi there,

    I am hoping someone can provide me with guidelines for upgrading from 1.3.8 to 1.3.8a.
    The guidelines are simple. Don't.

    You DO need to upgrade, but not to another V1.3.8. You should upgrade to V1.3.9h (minimum) or preferably, V1.5.1.

    Quote Originally Posted by tandlit View Post
    Can I simply upload the new version of the code without making any database changes or is there a DB update required? Any guides would be helpful.

    Many thanks,

    Tas
    There are DB upgrades required. No you can't simply upload the new version of the code, regardless of any DB updates.

    http://www.zen-cart.com/content.php?148

    Cheers
    Rod
    Ozpost - The Ultimate Shipping module for Australian Merchants. Click these links for its Homepage, or Download from Zen-Cart.com.

  3. #3
    Join Date
    Dec 2012
    Posts
    5
    Plugin Contributions
    0

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    Hi Rod,

    Unfortunately the site's theme is only compatible with 1.3.8. I assume that this means 1.3.8a is also compatible, but that 1.3.9 is not. The reason I want to move to 1.3.8a is to to upgrade the Zen Lightbox plugin which is currently not working on modern browsers due to an error in the mootools javascript file.

    With this in mind, how would I move from 1.3.8 to 1.3.8a?

    Cheers,
    Tas

  4. #4
    Join Date
    Jan 2007
    Location
    Australia
    Posts
    6,167
    Plugin Contributions
    7

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    Quote Originally Posted by tandlit View Post
    Hi Rod,

    Unfortunately the site's theme is only compatible with 1.3.8.
    How so? What part(s) are incompatible?

    Quote Originally Posted by tandlit View Post
    I assume that this means 1.3.8a is also compatible,
    A reasonable assumption (but not something I'd bet on).
    Quote Originally Posted by tandlit View Post
    but that 1.3.9 is not.
    A more reasonable assumption (but still not something I'd bet on).
    Quote Originally Posted by tandlit View Post
    The reason I want to move to 1.3.8a is to to upgrade the Zen Lightbox plugin which is currently not working on modern browsers due to an error in the mootools javascript file.

    With this in mind, how would I move from 1.3.8 to 1.3.8a?

    Cheers,
    Tas
    I'm sorry, but the Lightbox plugin is the least of your concerns. There are several known vulnerabilities with Zen V1.3.8(a) that are being actively exploited. It would be criminal for us to help you upgrade to a version with known vulnerabilities when there are later and more secure alternatives available.

    We'll probably go out of our way to help you resolve the compatibility issues with your current theme when you update to a secure version.

    Cheers
    Rod
    Ozpost - The Ultimate Shipping module for Australian Merchants. Click these links for its Homepage, or Download from Zen-Cart.com.

  5. #5
    Join Date
    Jul 2007
    Posts
    2,169
    Plugin Contributions
    16

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    Quote Originally Posted by tandlit View Post
    Hi Rod,

    Unfortunately the site's theme is only compatible with 1.3.8. I assume that this means 1.3.8a is also compatible, but that 1.3.9 is not. The reason I want to move to 1.3.8a is to to upgrade the Zen Lightbox plugin which is currently not working on modern browsers due to an error in the mootools javascript file.

    With this in mind, how would I move from 1.3.8 to 1.3.8a?

    Cheers,
    Tas
    I didn't see your post RodG before I posted, but I will leave mine anyway.

    If your template is not compatible with zen cart v1.3.9h or zen cart v1.5.1 you need to upgrade to another template.

    Using the very old Zen Cart 1.3.8 and 1.3.8a is a high security risk. No one in their right mind should even suggest to you how to upgrade to 1.3.8a.
    As RodG has already told you, You DO need to upgrade, but not to another V1.3.8 you need to upgrade to zen cart 1.3.9h or to the newest version of zen cart.
    Last edited by countrycharm; 15 Dec 2012 at 05:56 AM.
    Is your site Upgraded to the current version 1.5.4 Yet?
    zencart-upgrades-website-installation

  6. #6
    Join Date
    Dec 2012
    Posts
    5
    Plugin Contributions
    0

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    Hi guys,

    Thank you both for responding. I was not aware of the security risks, thank you for alerting me. The site is using this theme: http://www.templatemonster.com/zenca...tes/15388.html

    It specifically says 1.3.8 only. I don't do much work with Zen Cart so I'm not familiar with the potential problems which may occur in the theme if I upgrade to 1.3.9. Any tips on what to look out for would be great.

    Thanks again,

    Tas

  7. #7
    Join Date
    Jan 2007
    Location
    Australia
    Posts
    6,167
    Plugin Contributions
    7

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    Quote Originally Posted by tandlit View Post
    The site is using this theme: http://www.templatemonster.com/zenca...tes/15388.html

    It specifically says 1.3.8 only. I don't do much work with Zen Cart so I'm not familiar with the potential problems which may occur in the theme if I upgrade to 1.3.9.
    Yoiks. I've heard nothing but bad things about templatemonster.

    Quote Originally Posted by tandlit View Post
    Any tips on what to look out for would be great.
    This is both an easy and a hard question to answer. There are way too many things to look out for that it would be futile trying to list them all.
    That said, the only way to know for sure would be to do the upgrade (not on your live site. make a copy first), then solve whatever problems you find as and when you find them... or perhaps use an updated template.

    Cheers
    Rod
    Ozpost - The Ultimate Shipping module for Australian Merchants. Click these links for its Homepage, or Download from Zen-Cart.com.

  8. #8
    Join Date
    Dec 2012
    Posts
    5
    Plugin Contributions
    0

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    Quote Originally Posted by RodG View Post
    Yoiks. I've heard nothing but bad things about templatemonster.
    Rod, could you recommend an alternative? I think the site is due for a facelift anyhow.

    Cheers,
    Tas

  9. #9
    Join Date
    Dec 2009
    Location
    Amersfoort, The Netherlands
    Posts
    2,281
    Plugin Contributions
    20

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    you could take a look at Picaflours . com . Anne makes very nice templates, both commercial and free. These all use the Zen Cart structure as supposed.

  10. #10
    Join Date
    Jul 2005
    Location
    Upstate NY
    Posts
    22,058
    Plugin Contributions
    25

    Default Re: Upgrade path from 1.3.8 to 1.3.8a?

    TM makes some of the prettiest, "s3xiest" templates out there, but they hack core Zen Cart admin functions to get them to look and behave exactly as the designer intends, ignoring users' possible desires to alter the look/function. They also have bloated clumsy coding, though that will not be apparent to the casual user.
    The best part of TM templates is the high-class graphics. Unless you want to use the identical graphics as everyone else who buys the template, you will need to create some of your own, which negates the value of the template. Many other commercial template sellers are just resellers for TM templates.

    For a variety of free templates that work properly with the ZC template system and can easily be personalized, look at (sorry, site offline) .
    Templates by picaflor-azul are well-recommended and supported by the maker in the forum; there are a good number of others as well.

 

 
Page 1 of 2 12 LastLast

Similar Threads

  1. v154 Can't upgrade database doing upgrade from 1.5.1 to 1.5.4
    By blueskyhigh in forum Upgrading to 1.5.x
    Replies: 2
    Last Post: 2 Apr 2015, 01:38 PM
  2. Replies: 13
    Last Post: 31 Oct 2014, 03:12 PM
  3. Find category path from the id
    By torvista in forum Setting Up Categories, Products, Attributes
    Replies: 6
    Last Post: 15 Oct 2010, 05:42 AM
  4. Upgrade Path
    By PortMan in forum Upgrading from 1.3.x to 1.3.9
    Replies: 2
    Last Post: 20 Oct 2006, 08:41 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR